import { getCurrentScope, onScopeDispose, getCurrentInstance, onMounted, nextTick, unref } from "vue";
var e;
const f = typeof window < "u", p = (n) => typeof n == "string", a = () => {
}, l = f && ((e = window == null ? void 0 : window.navigator) == null ? void 0 : e.userAgent) && /iP(ad|hone|od)/.test(window.navigator.userAgent);
function g(n) {
  return typeof n == "function" ? n() : unref(n);
}
function w(n) {
  return n;
}
function v(n) {
  return getCurrentScope() ? (onScopeDispose(n), true) : false;
}
function y(n, t = true) {
  getCurrentInstance() ? onMounted(n) : t ? n() : nextTick(n);
}
export {
  w as identity,
  f as isClient,
  l as isIOS,
  p as isString,
  a as noop,
  g as resolveUnref,
  y as tryOnMounted,
  v as tryOnScopeDispose
};
